Skip to main content
DELETE
/
v1
/
owners
/
{id}
Delete an owner
curl --request DELETE \
  --url https://api.yorlet.com/v1/owners/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "owner",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "country": "<string>",
    "postal_code": "<string>",
    "state": "<string>"
  },
  "company": {
    "address": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    },
    "email": "<string>",
    "name": "<string>",
    "phone": "<string>",
    "tax_id": "<string>",
    "vat_id": "<string>"
  },
  "country": "<string>",
  "email": "<string>",
  "external_account": {
    "id": "<string>",
    "created": 123,
    "object": "external_account",
    "available_payout_methods": [
      "<string>"
    ],
    "confirmation_of_payee": {},
    "type": "bank_account",
    "account": "<string>",
    "deleted": false,
    "bank_account": {
      "account_holder_name": "<string>",
      "bank_name": "<string>",
      "country": "<string>",
      "last4": "<string>",
      "routing_number": "<string>",
      "swift_bic": "<string>"
    },
    "metadata": {}
  },
  "individual": {
    "id": "<string>",
    "created": 123,
    "object": "owner.person",
    "address": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    },
    "dob": {
      "day": 16,
      "month": 6.5,
      "year": 5949.5
    },
    "email": "[email protected]",
    "first_name": "<string>",
    "last_name": "<string>",
    "phone": "<string>",
    "relationship": {
      "director": true,
      "executive": true,
      "owner": true,
      "percent_ownership": 50,
      "representative": true,
      "title": "<string>"
    },
    "title": "<string>",
    "verification_session": "<string>",
    "verification": {
      "status": "<string>"
    },
    "account": "<string>",
    "deleted": false,
    "metadata": {}
  },
  "name": "<string>",
  "requirements": {
    "currently_due": [
      "<string>"
    ],
    "disabled_reason": "<string>",
    "eventually_due": [
      "<string>"
    ]
  },
  "settings": {
    "account_collections": {
      "platform_fee": 0
    },
    "maintenance": {
      "issue_categories": [
        "<string>"
      ],
      "issue_preferred_categories": [
        "<string>"
      ]
    },
    "payout_receipts": {
      "email_to": "<string>",
      "statement_descriptor": "<string>",
      "email_cc": [],
      "send_emails": true
    },
    "payout_schedule": {
      "monthly_anchor": 31,
      "weekly_anchor": 5
    },
    "payouts": {
      "automatic_approval": false,
      "instant_payouts": false,
      "negative_payouts": false
    }
  },
  "tax_residency": "<string>",
  "account": "<string>",
  "deleted": false,
  "balance": 0,
  "metadata": {},
  "payouts_enabled": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json
id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
owner
address
object
required

The owner's address.

business_type
enum<string>
required

The legal type of the owner.

Available options:
individual,
company
company
object
required

Information about the company. Only present when business_type is company.

country
string | null
required

Two-letter ISO code representing the country of the owner.

email
string | null
required

The owner's contact email address.

external_account
required

The external account to which payouts are sent.

individual
object
required

Information about the individual. Only present when business_type is individual.

name
string | null
required

Display name of the owner.

requirements
object
required

Outstanding requirements for the owner.

settings
object
required

Configurable settings for the owner.

status
enum<string>
required

The current status of the owner.

Available options:
complete,
incomplete,
disabled,
archived
tax_residency
string | null
required

Two-letter ISO code representing the owner's tax residency country.

type
enum<string>
required

The type of the owner.

Available options:
landlord,
leaseholder,
platform,
supplier
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

balance
number
default:0

The owner's current balance, in the smallest currency unit.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

payouts_enabled
boolean
default:false

Whether the owner is currently able to receive payouts.